org.eclipse.ease.debug

## Class Tracer

- java.lang.Object
- - org.eclipse.ease.debug.Tracer

    public final class Tracer
    extends Object

Utils class used to trace element

### Method Summary

Methods
`static boolean` `isDebugging()` Return true if the plugin is debugging
`static void` `log(int severity, String message, boolean raisedException)` Log something
`static void` `logError(String error, boolean raisedException)` Log an error
`static void` `logExceptionError(String message, Exception raisedException)` Log an error
`static void` `logExceptionWarning(String message, Exception raisedException)` Log warning
`static void` `logInfo(String info)` Log an info
`static void` `logInfo(String info, boolean raisedException)` Log info if the plugin is tracing

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isDebugging

    public static boolean isDebugging()

Return true if the plugin is debugging

Returns:

#### logInfo

    public static void logInfo(String info,
               boolean raisedException)

Log info if the plugin is tracing

Parameters:
  `info` - Info you want to log
  `raisedException` - if true the the trace raise an exception

#### logInfo

    public static void logInfo(String info)

Log an info

Parameters:
  `info` - Info you want to log

#### logError

    public static void logError(String error,
                boolean raisedException)

Log an error

Parameters:
  `error` - Message you want to log
  `raisedException` - if true the the trace raise an exception

#### log

    public static void log(int severity,
           String message,
           boolean raisedException)

Log something

Parameters:
  `severity` - Severity of what is going to be logged see `IStatus` constants
  `message` - Message to log
  `raisedException` - if true raise an exception

#### logExceptionError

    public static void logExceptionError(String message,
                         Exception raisedException)

Log an error

Parameters:
  `message` - Message you want to log
  `raisedException` - the exception to raise

#### logExceptionWarning

    public static void logExceptionWarning(String message,
                           Exception raisedException)

Log warning

Parameters:
  `message` - Message you want to log
  `raisedException` - the exception to raise